org.apache.ignite.internal.util.lang.gridfunc

## Class NotContainsPredicate<T>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.gridfunc.NotContainsPredicate<T>

Type Parameters:
  `T` - Type of the free variable for the predicate and type of the collection elements.

All Implemented Interfaces:
  Serializable, IgnitePredicate<T>

    public class NotContainsPredicate<T>
    extends Object
    implements IgnitePredicate<T>

Predicate that returns `true` if its free variable is not contained in given collection.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NotContainsPredicate(Collection<? extends T> col)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(T t)` Predicate body.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotContainsPredicate

    public NotContainsPredicate(Collection<? extends T> col)

Parameters:
  `col` - Collection to check for containment.

### Method Detail

#### apply

    public boolean apply(T t)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<T>`
Parameters:
  `t` - Predicate parameter.
Returns:
  Return value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018